Yii Web Programming Framework

1.1.13 2013-01-23 21:08 UTC


Thank you for choosing Yii - a high-performance component-based PHP framework.

Build Status


Please make sure the release file is unpacked under a Web-accessible directory. You shall see the following files and directories:

  demos/               demos
  framework/           framework source files
  requirements/        requirement checker
  CHANGELOG            describing changes in every Yii release
  LICENSE              license of Yii
  README               this file
  UPGRADE              upgrading instructions


The minimum requirement by Yii is that your Web server supports PHP 5.1.0 or above. Yii has been tested with Apache HTTP server on Windows and Linux operating systems.

Please access the following URL to check if your Web server reaches the requirements by Yii, assuming "YiiPath" is where Yii is installed:



Yii comes with a command line tool called "yiic" that can create a skeleton Yii application for you to start with.

On command line, type in the following commands:

    $ cd YiiPath/framework                (Linux)
    cd YiiPath\framework                  (Windows)

    $ ./yiic webapp ../testdrive          (Linux)
    yiic webapp ..\testdrive              (Windows)

The new Yii application will be created at "YiiPath/testdrive". You can access it with the following URL:



Please visit the project website for tutorials, class reference and join discussions with other Yii users.

The Yii Developer Team http://www.yiiframework.com